AnsweredAssumed Answered

activiti.cfg

Question asked by awhobbes on Feb 18, 2014
Latest reply on Feb 20, 2014 by awhobbes
I'm trying to create a standalone engine, using the following code to access the H2 DB:
ProcessEngine processEngine = ProcessEngineConfiguration
         .createStandaloneProcessEngineConfiguration()
          .buildProcessEngine();

I installed the H2 DB myself (couldn't get the demo.start working) and was getting the problem that the tables aren't set up.
So I've added <property name="databaseSchemaUpdate" value="true" />

I tried installing version 5.9 in hope of getting the examples working and now, even after I've removed the directory, I'm getting the message:
org.activiti.engine.ActivitiWrongDbException: version mismatch: activiti library version is '5.13', db version is 5.9 Hint: Set <property name="databaseSchemaUpdate" to value="true" or value="create-drop" (use create-drop for testing only!) in bean processEngineConfiguration in activiti.cfg.xml for automatic schema creation
   at org.activiti.engine.impl.db.DbSqlSession.dbSchemaCheckVersion(DbSqlSession.java:598)

It seems like there's a cfg file I'm hitting, not hitting my own file.   I've got my own cfg file in my classpath, moved to the top so that it ought to get loaded first.

Am I missing something?
Thanks,
Axel

Outcomes